<?php

function fgt_register_required_plugins()
{
	$plugins = array(
		array(
			'name' 				=> 'Flex Builder',
			'slug' 				=> 'flo-flex-builder',
			'source_type'		=> 'external',
			'source'			=> 'https://s3.amazonaws.com/themes-downloadable-resources/plugins/flo-flex-builder.zip',
			'required' 			=> TRUE,
			'force_activation'	=> FALSE
		),
		array(
			'name' 				=> 'Flo Gutenberg Blocks',
			'slug' 				=> 'flo-gutenberg-blocks',
			'source_type'		=> 'external',
			'source'			=> 'https://themes-downloadable-resources.s3.amazonaws.com/plugins/flo-gutenberg-blocks.zip',
			'required' 			=> TRUE,
			'force_activation'	=> FALSE
		),
	);

	$config = array(
		'id'           => 'fgt_tgmpa',
		'default_path' => '',
		'menu'         => 'fgt_tgmpa-install-plugins',
		'parent_slug'  => 'themes.php',
		'capability'   => 'edit_theme_options',
		'has_notices'  => TRUE,
		'dismissable'  => FALSE,
		'dismiss_msg'  => '',
		'is_automatic' => TRUE,
		'message'      => '',
	);

	fgt_tgmpa($plugins, $config);
}
